<!DOCTYPE html>
<html>
<head>
	<title>VueJS Basic</title>
</head>
<body>
	<div id="root">
		<input type="text" v-model="message">
		<p>{{ message }}</p>
		<ul>
			<li v-for="(name, index) in List" v-text="name" :key="index"></li>
		</ul>
		<input type="text" id="input">
		<button id="basicAddList">Add</button>
	</div>
	<script src="https://cdn.jsdelivr.net/npm/vue@2.6.11"></script>
	<script type="text/javascript">
		let app = new Vue({
			el: '#root',
			data: {
				message: "Hello World.",
				List: ["Anh", "Tai", "Ngan"]
			}
		});

		document.querySelector('#basicAddList').addEventListener('click', () => {
			let name = document.querySelector('#input');
			app.List.push(name.value);
			name.value = '';
		})
	</script>
</body>
</html>